﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Sablony
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    /// 
    public class Automobil
    {
        public string Znacka { get; set; }
        public string Typ { get; set; }
        public int Rok { get; set; }
        public string Foto { get; set; }

        public Automobil(string znacka, string typ,
                         int rok, string foto)
        {
            Znacka = znacka;
            Typ = typ;
            Rok = rok;
            Foto = foto;
        }
    }
    public partial class HlavniOkno : Window
    {

        private List<Automobil> Auta; 

        public HlavniOkno()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            Auta = new List<Automobil>();
           
            Auta.Add(new Automobil("Ferrari", "458", 2015, 
                                   "Images\\Ferrari.jpg"));
            Auta.Add(new Automobil("Bugatti", "Veyron", 2016,
                                   "Images\\Bugatti.jpg"));
            Auta.Add(new Automobil("Lamborghini", "Huracan", 2015,
                                   "Images\\Lamborghini.jpg"));
            Auta.Add(new Automobil("Aston Martin", "DB10", 2015,
                       "Images\\AstonMartin.jpg"));
            lsbAuta.ItemsSource = Auta; 
        }
    }
}
